FROM quay.io/toolbx/arch-toolbox:latest as production
# see: https://github.com/containers/toolbox/blob/main/images/arch/Containerfile

ENV NAME=arch-toolbox VERSION=latest
LABEL com.github.containers.toolbox="true" \
  name="$NAME" \
  version="$VERSION" \
  usage="This image is meant to be used with the toolbox command" \
  summary="Base image for creating Arch Linux toolbox containers"

# Install extra packages
COPY extra-packages /
RUN pacman -Syu --needed --noconfirm - < extra-packages
RUN rm /extra-packages

# Clean up cache
RUN yes | pacman -Scc

ENTRYPOINT []
